cURL
curl "https://api.phrase.com/v2/projects/:project_id/quality_performance_score" \
-X POST \
-u USERNAME_OR_ACCESS_TOKEN \
-d '{"translation_ids":["translation_id_1", "translation_id_2"]}' \
-H 'Content-Type: application/json'phrase quality_performance_score list \
--project_id <project_id> \
--data '{"translation_ids":["translation_id_1", "translation_id_2"]}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/quality_performance_score"
payload = { "translation_ids": ["translation_id_1"] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({translation_ids: ['translation_id_1']})
};
fetch('https://api.phrase.com/v2/projects/{project_id}/quality_performance_score', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Quality performance score
Get Translation Quality
Retrieves the quality scores for your Strings translations. Returns a score, measured by Phrase QPS
POST
/
projects
/
{project_id}
/
quality_performance_score
cURL
curl "https://api.phrase.com/v2/projects/:project_id/quality_performance_score" \
-X POST \
-u USERNAME_OR_ACCESS_TOKEN \
-d '{"translation_ids":["translation_id_1", "translation_id_2"]}' \
-H 'Content-Type: application/json'phrase quality_performance_score list \
--project_id <project_id> \
--data '{"translation_ids":["translation_id_1", "translation_id_2"]}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/quality_performance_score"
payload = { "translation_ids": ["translation_id_1"] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({translation_ids: ['translation_id_1']})
};
fetch('https://api.phrase.com/v2/projects/{project_id}/quality_performance_score', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Project ID
Body
application/json
Translation ids you want to get the quality performance score for
Response
OK
Was this page helpful?
⌘I